#   File:       load_image-ppc.make
#   Target:     load_image-ppc
#   Created:    Monday, August 7, 2000 01:35:33 AM


MAKEFILE        = load_image-ppc.make
MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

SpBaseDir  	= :::spBase:
SpComponentDir  = ::
SpLibDir  	= :::lib:

ObjDir          = :
Includes        =  
				  -i {SpComponentDir} 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC} -d CALL_NOT_IN_CARBON=1 -d HIGH_LEVEL_EVENT -includes unix -enum int -j0 -w 35


### Source Files ###

SrcFiles        =  
				  load_image.c


### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}load_image.c.x"


### Libraries ###

LibFiles-PPC    =  
				  "{SpLibDir}spComponent-ppc.o" 
				  "{SpLibDir}spBase-ppc.o" 
				  "{SharedLibraries}ThreadsLib" 
				  "{SharedLibraries}NavigationLib" 
				  "{SharedLibraries}ControlsLib" 
				  "{SharedLibraries}WindowsLib" 
				  "{SharedLibraries}MenusLib" 
    				  "{SharedLibraries}AppearanceLib" 
				  "{SharedLibraries}InterfaceLib" 
				  "{SharedLibraries}QuickTimeLib" 
				  "{SharedLibraries}TextEncodingConverter" 
				  "{SharedLibraries}StdCLib" 
				  "{SharedLibraries}MathLib" 
				  "{PPCLibraries}StdCRuntime.o" 
				  "{PPCLibraries}PPCCRuntime.o" 
				  "{PPCLibraries}PPCToolLibs.o"


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

load_image-ppc    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} -weaklib NavigationLib,ControlsLib,WindowsLib,MenusLib,AppearanceLib,QuickTimeLib,TextEncodingConverter 
		-mf -d 
		-t 'APPL' 
		-c '????'



### Required Dependencies ###

"{ObjDir}load_image.c.x"    load_image.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


